#include <bits/stdc++.h>

using namespace std;

long long n,m,A[100001],u;
pair<long long,long long> b;

int main()
{
    scanf("%lld %lld",&n,&m);
    for(long long i=1; i<=n; i++)
    {
        scanf("%lld",&A[i]);
    }
    for(long long i=0; i<m; i++)
    {
        scanf("%lld %lld",&b.first,&b.second);
        if(abs(A[b.first])<abs(A[b.second]))
        {
            swap(b.first,b.second);
        }
        if(A[b.first]>0)
        {
            u += (A[b.first] + A[b.second]);
        }
        else
        {
            u -= (A[b.first] + A[b.second]);
        }
    }
    printf("%lld\n",u);
    return 0;
}